Gets email MTA path from raw email data
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name
|
Type
|
Required/Optional
|
Description
|
|
Username
|
string
|
Required
|
The username of your D3 SOAR account.
|
|
Site
|
string
|
Required
|
The D3 SOAR site to run the remote command.
|
|
Raw Email Data
|
string
|
Optional
|
Raw data of an email
|
Body Sample Data
application/json
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"Raw Email Data": "MIME-Version: 1.0\r\nReceived: from user01@example.com 2603:10b6:a03:1a0::47 by 2002:a19:4845:0:0:0:0:0 with HTTP; Thu, 28 May 2020 12:19:28 -0700 (PDT)\r\nFrom: user01 \r\nDate: Thu, 28 May 2020 12:19:28 -0700\r\nMessage-ID: \r\nSubject: Test Send Email\r\nTo: user09 \r\nContent-Type: multipart/alternative; boundary=\"0000000000001d2c8705a6ba354a\"\r\n\r\nHello everyone,\r\nThis is a test email"
}
}
Response
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
error
|
string
|
The error message if the API request has failed.
|
|
result
|
string
|
The result from the API request.
|
|
returnData
|
string
|
The return data from the API request.
|
|
contextData
|
JSON Object
|
The context data from the API request.
|
|
outputData
|
JSON Object
|
The output data from the API request.
|
Sample Data
{
"result": "<table cellspacing=\\\"2\\\" cellpadding=\\\"5\\\" border=\\\"1\\\" border=\\\"0\\\" style=\\\"border:solid 1 #fff;background-color:#333;\\\"><tr valign=\\\"middle\\\"><td class=\\\"\\\">MTAs</td><td class=\\\"\\\"><ul class=\\\"commandULRemove\\\"><li>user01@example.com 2603:10b6:a03:1a0::47</li></ul></td></tr></table>",
"error": "",
"returnData": "Succeed",
"rawData": "",
"contextData": {
"MTAs": [
"user01@example.com 2603:10b6:a03:1a0::47"
]
},
"outputData": {
"MTAs": [
"user01@example.com 2603:10b6:a03:1a0::47"
]
}
}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The body of the request must be a valid JSON object"}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Invalid authentication key."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The request exceeds rate limits or is otherwise blocked by rate limiting policies."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Unexpected Error."}